Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenOptions

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenOptions

public final class JrpcgenOptions extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`JrpcgenOptions.Arguments`
`static enum`
`JrpcgenOptions.ParseResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`baseClassname`
Name of class containing global constants.
`boolean`
`clampProgAndVers`
Clamp version and program number in client method stubs to the version and program number specified in the x-file.
`String`
`clientClass`
Name of class containing the ONC/RPC client stubs.
`boolean`
`debug`
Enable diagnostic messages when parsing the x-file.
`File`
`destinationDir`
Destination directory where to place the generated files.
`boolean`
`initStrings`
Enable automatic initialization of String with empty Strings instead of null reference.
`boolean`
`makeBean`
Enable generation of accessors in order to use XDR classes as beans.
`boolean`
`makeSerializable`
Enable tagging of XDR classes as being Serializable
`boolean`
`noBackups`
Disable automatic backup of old source code files, if `true`.
`boolean`
`noClient`
Do not generate source code for the client proxy stub if `true`.
`boolean`
`noEnum`
inhibit generation of Java enumertions.
`boolean`
`noEquals`
inhibit generation of equals() methods.
`boolean`
`noServer`
Do not generate source code for the server proxy stub if `true`.
`boolean`
`noToString`
inhibit generation of toString() methods.
`boolean`
`noValueCtor`
inhibit generation of value constructor that is expecting all members.
`boolean`
`noXdr`
Do not generate XDR datatype classes if `true`.
`String`
`packageName`
Specifies package name for generated source code, if not `null`.
`boolean`
`parseOnly`
Parse x-file only but do not create source code files if set to `true`.
`String`
`serverClass`
Name of class containing the ONC/RPC server stubs.
`boolean`
`serverTcpOnly`
Create TCP-Server only `true`.
`boolean`
`serverUdpOnly`
Create TCP-Server only `true`.
`String`
`startDate`
String containing date/time when a jrpcgen run was started.
`boolean`
`verbose`
Verbosity flag.
`boolean`
`withCallInfo`
Supply (additional) call information to server method stubs.

## Constructor Summary

Constructors
Constructor
Description
`JrpcgenOptions()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`generateClientStub()`
`boolean`
`generateEqualsMethod()`
`boolean`
`generateJavaFiles()`
`boolean`
`generateProgramConstants()`
`boolean`
`generateServerStub()`
`boolean`
`generateTcpTransport()`
`boolean`
`generateToStringMethod()`
`boolean`
`generateUdpTransport()`
`boolean`
`generateValueConstructor()`
`boolean`
`generateXdrTypes()`
`boolean`
`javaEnumerationsEnabled()`
`JrpcgenOptions.Arguments`
`newArguments(String[] arguments)`
`static void`
`printOptions(PrintStream out)`
`JrpcgenOptions`
`reset()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### startDate

public String startDate
String containing date/time when a jrpcgen run was started. This string is used in the headers of the generated source code files.

### noBackups

public boolean noBackups
Disable automatic backup of old source code files, if `true`.

### clampProgAndVers

public boolean clampProgAndVers
Clamp version and program number in client method stubs to the version and program number specified in the x-file.

### withCallInfo

public boolean withCallInfo
Supply (additional) call information to server method stubs.

### debug

public boolean debug
Enable diagnostic messages when parsing the x-file.

### verbose

public boolean verbose
Verbosity flag. If `true`, then jrpcgen will report about the steps it is taking when generating all the source code files.

### parseOnly

public boolean parseOnly
Parse x-file only but do not create source code files if set to `true`.

### destinationDir

public File destinationDir
Destination directory where to place the generated files.

### packageName

public String packageName
Specifies package name for generated source code, if not `null`. If `null`, then no package statement is emitted.

### baseClassname

public String baseClassname
Name of class containing global constants. It is derived from the filename with the extension (".x") and path removed.

### noClient

public boolean noClient
Do not generate source code for the client proxy stub if `true`.

### noServer

public boolean noServer
Do not generate source code for the server proxy stub if `true`.

### serverClass

public String serverClass
Name of class containing the ONC/RPC server stubs.

### noXdr

public boolean noXdr
Do not generate XDR datatype classes if `true`.

### serverTcpOnly

public boolean serverTcpOnly
Create TCP-Server only `true`.

### serverUdpOnly

public boolean serverUdpOnly
Create TCP-Server only `true`.

### clientClass

public String clientClass
Name of class containing the ONC/RPC client stubs.

### makeSerializable

public boolean makeSerializable
Enable tagging of XDR classes as being Serializable

### makeBean

public boolean makeBean
Enable generation of accessors in order to use XDR classes as beans.

### initStrings

public boolean initStrings
Enable automatic initialization of String with empty Strings instead of null reference.

### noToString

public boolean noToString
inhibit generation of toString() methods.

### noEquals

public boolean noEquals
inhibit generation of equals() methods.

### noEnum

public boolean noEnum
inhibit generation of Java enumertions. This is mainly for legacy support, where applications still expect interfaces as representation of an enumeration.

### noValueCtor

public boolean noValueCtor
inhibit generation of value constructor that is expecting all members. only with struct

## Constructor Details

### JrpcgenOptions

public JrpcgenOptions()

## Method Details

### javaEnumerationsEnabled

public boolean javaEnumerationsEnabled()

### generateToStringMethod

public boolean generateToStringMethod()

### generateEqualsMethod

public boolean generateEqualsMethod()

### generateValueConstructor

public boolean generateValueConstructor()

### generateJavaFiles

public boolean generateJavaFiles()

### generateClientStub

public boolean generateClientStub()

### generateServerStub

public boolean generateServerStub()

### generateProgramConstants

public boolean generateProgramConstants()

### generateXdrTypes

public boolean generateXdrTypes()

### generateTcpTransport

public boolean generateTcpTransport()

### generateUdpTransport

public boolean generateUdpTransport()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### printOptions

public static void printOptions(PrintStream out)

### newArguments

public JrpcgenOptions.Arguments newArguments(String[] arguments)

### reset

public JrpcgenOptions reset()